Index: branches/UnloadJobs/HeuristicLab.Clients.Hive/3.3/ConcurrentTaskDownloader.cs
===================================================================
--- branches/UnloadJobs/HeuristicLab.Clients.Hive/3.3/ConcurrentTaskDownloader.cs	(revision 9201)
+++ branches/UnloadJobs/HeuristicLab.Clients.Hive/3.3/ConcurrentTaskDownloader.cs	(revision 9202)
@@ -68,5 +68,9 @@
 
     private Task DownloadTask(object taskId) {
-      return HiveServiceLocator.Instance.CallHiveService(s => s.GetTask((Guid)taskId));
+      Task t = null;
+      HiveClient.TryAndRepeat(() => {
+        t = HiveServiceLocator.Instance.CallHiveService(s => s.GetTask((Guid)taskId));
+      }, Settings.Default.MaxRepeatServiceCalls, "Failed to download task.");
+      return t;
     }
 
@@ -77,8 +81,10 @@
     protected Tuple<Task, TaskData> DownloadTaskData(Task task) {
       downloadSemaphore.WaitOne();
-      TaskData result;
+      TaskData result = null;
       try {
         if (abort) return null;
-        result = HiveServiceLocator.Instance.CallHiveService(s => s.GetTaskData(task.Id));
+        HiveClient.TryAndRepeat(() => {
+          result = HiveServiceLocator.Instance.CallHiveService(s => s.GetTaskData(task.Id));
+        }, Settings.Default.MaxRepeatServiceCalls, "Failed to download task data.");
       }
       finally {
Index: branches/UnloadJobs/HeuristicLab.Clients.Hive/3.3/HiveClient.cs
===================================================================
--- branches/UnloadJobs/HeuristicLab.Clients.Hive/3.3/HiveClient.cs	(revision 9201)
+++ branches/UnloadJobs/HeuristicLab.Clients.Hive/3.3/HiveClient.cs	(revision 9202)
@@ -435,5 +435,5 @@
         // fetch all task objects to create the full tree of tree of HiveTask objects
         refreshableJob.Progress.Status = "Downloading list of tasks...";
-        allTasks = HiveServiceLocator.Instance.CallHiveService(s => s.GetLightweightJobTasks(hiveExperiment.Id));
+        allTasks = HiveServiceLocator.Instance.CallHiveService(s => s.GetLightweightJobTasksWithoutStateLog(hiveExperiment.Id));
         totalJobCount = allTasks.Count();
 
Index: branches/UnloadJobs/HeuristicLab.Services.Hive/3.3/HiveDao.cs
===================================================================
--- branches/UnloadJobs/HeuristicLab.Services.Hive/3.3/HiveDao.cs	(revision 9201)
+++ branches/UnloadJobs/HeuristicLab.Services.Hive/3.3/HiveDao.cs	(revision 9202)
@@ -71,4 +71,26 @@
     }
 
+    public IEnumerable<DT.LightweightTask> GetLightweightTasksWithoutStateLog(Expression<Func<Task, bool>> predicate) {
+      List<DT.LightweightTask> tasks = new List<DT.LightweightTask>();
+
+      using (var db = CreateContext()) {
+        var tasksQuery = db.Tasks.Where(predicate).Select(task => new { task.TaskId, task.ExecutionTimeMs, task.ParentTaskId, task.State, task.Command });
+        var taskDatasQuery = db.Tasks.Where(predicate).Where(task => task.JobData != null).Select(task => new { task.TaskId, task.JobData.LastUpdate });
+
+        foreach (var task in tasksQuery) {
+          DT.LightweightTask t = new DT.LightweightTask();
+          t.Id = task.TaskId;
+          t.ExecutionTime = TimeSpan.FromMilliseconds(task.ExecutionTimeMs);
+          t.ParentTaskId = task.ParentTaskId;
+          t.StateLog = new List<DT.StateLog>();
+          t.State = DataTransfer.Convert.ToDto(task.State);
+          t.Command = DataTransfer.Convert.ToDto(task.Command);
+          t.LastTaskDataUpdate = taskDatasQuery.Where(x => x.TaskId == task.TaskId).Count() > 0 ? taskDatasQuery.Select(x => x.LastUpdate).First() : DateTime.MinValue;
+          tasks.Add(t);
+        }
+      }
+      return tasks;
+    }
+
     public Guid AddTask(DT.Task dto) {
       using (var db = CreateContext()) {
Index: branches/UnloadJobs/HeuristicLab.Services.Hive/3.3/HiveService.cs
===================================================================
--- branches/UnloadJobs/HeuristicLab.Services.Hive/3.3/HiveService.cs	(revision 9201)
+++ branches/UnloadJobs/HeuristicLab.Services.Hive/3.3/HiveService.cs	(revision 9202)
@@ -129,4 +129,13 @@
       return trans.UseTransaction(() => {
         return dao.GetLightweightTasks(task => task.JobId == jobId).ToArray();
+      }, false, true);
+    }
+
+    public IEnumerable<LightweightTask> GetLightweightJobTasksWithoutStateLog(Guid jobId) {
+      authen.AuthenticateForAnyRole(HiveRoles.Administrator, HiveRoles.Client);
+      author.AuthorizeForJob(jobId, Permission.Read);
+
+      return trans.UseTransaction(() => {
+        return dao.GetLightweightTasksWithoutStateLog(task => task.JobId == jobId).ToArray();
       }, false, false);
     }
Index: branches/UnloadJobs/HeuristicLab.Services.Hive/3.3/Interfaces/IHiveDao.cs
===================================================================
--- branches/UnloadJobs/HeuristicLab.Services.Hive/3.3/Interfaces/IHiveDao.cs	(revision 9201)
+++ branches/UnloadJobs/HeuristicLab.Services.Hive/3.3/Interfaces/IHiveDao.cs	(revision 9202)
@@ -32,4 +32,5 @@
     IEnumerable<DT.Task> GetTasks(Expression<Func<Task, bool>> predicate);
     IEnumerable<DT.LightweightTask> GetLightweightTasks(Expression<Func<Task, bool>> predicate);
+    IEnumerable<DT.LightweightTask> GetLightweightTasksWithoutStateLog(Expression<Func<Task, bool>> predicate);
     Guid AddTask(DT.Task dto);
     void UpdateTaskAndPlugins(DT.Task dto);
Index: branches/UnloadJobs/HeuristicLab.Services.Hive/3.3/ServiceContracts/IHiveService.cs
===================================================================
--- branches/UnloadJobs/HeuristicLab.Services.Hive/3.3/ServiceContracts/IHiveService.cs	(revision 9201)
+++ branches/UnloadJobs/HeuristicLab.Services.Hive/3.3/ServiceContracts/IHiveService.cs	(revision 9202)
@@ -53,4 +53,7 @@
 
     [OperationContract]
+    IEnumerable<LightweightTask> GetLightweightJobTasksWithoutStateLog(Guid jobId);
+
+    [OperationContract]
     TaskData GetTaskData(Guid taskId);
 
